#Downloaded the very large NYT dataset of about 1000 US counties #that have covid19 cases counties deaths. Cases for each day when #cases were recorded, starting on January 21, 2020, are included, #adding to a total of 86 days. Empty cells were filled with "0" #for no cases. Each row (county) ends on last day of publication. #Data is arranged in columns for days and cases, with names of #counties repeated for each day. For the R example, I reformatted
#the data for the first 7 California counties. I made the #columns the days and the rows the counties. I saved the file as #"ca7counties.csv" and imported it into R using the URL call from #a local directory on my computer.

deaths <- read.csv("file:///Users/ptrogu/Desktop/test_matrix_nyt_2020-04-16/matrix_test/ca7counties.csv", header=TRUE)
#import the dataset from URL. In this case the URL is a local #directory on my computer. You can find the path to your location #by entering </> (no brackets) in the browser. The slash is #basically "root" in your computer system (if on a Mac which used #a version of the Unix operating system)

row.names(deaths) <- deaths$County
#above line takes the first column (County) in the original #dataset: ca7counties and assigns to it the first R column #usually reserved for the record number (1,2,3,etc)
deaths <- deaths[,2:87]
#above line shift remaining columns (2-87 -- 86 days) so that #first data column is now 2 etc
deaths_matrix <- data.matrix(deaths)
#above line transforms the dataset from a vector to a matrix

deaths_heatmap <- heatmap(deaths_matrix, Rowv=NA, Colv=NA, col = cm.colors(256), scale="row", margins=c(1,1))
#above line generates the graph. Because the scale is set to #"row", the min and max values in each row will all have the same #color. The specified colors are from cyan to magenta (cm.colors)

deaths_heatmap <- heatmap(deaths_matrix, Rowv=NA, Colv=NA, col = heat.colors(256), scale="row", margins=c(5,10))
#in the above the specified colors are warm colors (heat.colors)
#the bigger margins make the graph smaller

red_colors <- c("#ffd3cd", "#ffc4bc", "#ffb5ab", "#ffa69a", "#ff9789", "#ff8978", "#ff7a67", "#ff6b56", "#ff5c45", "#ff4d34")
#above makes a list (red_colors) of specific reds in hexadecimal #format
                 
deaths_heatmap <- heatmap(deaths_matrix, Rowv=NA, Colv=NA, col = red_colors, scale="row", margins=c(1,1))
#the col argument now utilizes the list previously set

library(RColorBrewer)
#installs the color brewery library of pre set color scales
deaths_heatmap <- heatmap(deaths_matrix, Rowv=NA, Colv=NA, col = brewer.pal(5, "Oranges"), scale="row", margins=c(5,3))
#tells the col argument to use the color brewer palette (brewer
#.pal) called "Oranges" and limit the colors to 5
#notice how Alameda and Contra Costa looks exactly the same. That's because the scale is set to "row"

#whole dataset values, not just row min-max (use "none" argument for scale)
deaths_heatmap <- heatmap(deaths_matrix, Rowv=NA, Colv=NA, col = brewer.pal(8, "Oranges"), scale="none", margins=c(5,3))
#with the scale set to "none", each cell is now "painted with the #corresponding data value, giving the chart the correct
#representation

summary(deaths)

